'state enable disable
'   更改控件或窗体的可见状态。
'   hWndControl: 窗体或控件的句柄 (例如  HWND_FORM1_OPTION1)
'   nShowstate:  下面的一个状态，在win32api.inc文件中定义）：
'      SW_HIDE           隐藏控件或窗体
'      SW_MAXIMIZE       最大化指定的控件或窗体。
'      SW_MINIMIZE       最小化
'      SW_RESTORE        激活并显示该控件。如果该控件是最小化或最大化窗口，窗口恢复到它其原来的大小和位置。
'      SW_SHOW           激活控件或窗体并显示在其当前的大小和位置。
'      SW_SHOWMAXIMIZED  Synonym Of %SW_MAXIMIZE.
'      SW_SHOWMINIMIXED  激活控件或窗体，并最小化。
'      SW_SHOWNA         在其当前状态显示该控件，无需激活它。
'      SW_SHOWNOACTIVATE 在其最近的大小和位置显示控件无需激活它。
'      SW_SHOWNORMAL     激活并显示该控件。如果该控件最小化或最大化窗口，它还原到其原始大小和位置。
'   Returns:      如果以前可见窗口，返回值为非零。
'                如果以前隐藏的窗口，则返回值为零。
Function FF_Control_ShowState(ByVal hWndControl As HWND, ByVal nShowState As Integer) As Integer
   
   '检查窗口句柄是否有效
   If IsWindow(hWndControl) Then
      
      'Set the show state
      Function = ShowWindow(hWndControl, nShowState)
      
   End If
   
End Function

